.page-header--checkout {
	margin-top: 1em;
}

body.woocommerce-checkout {
	padding-bottom: 52px;

	@media (--xs) {
		padding-bottom: 0;
	}

	& main {
		@media (--m) {
			min-height: 80vh;
			padding: 2em 0;
		}
	}

	& .footer_top,
	& .header__row--navigation {
		@media (--m) {
			display: none;
		}
	}

	& .woocommerce .woocommerce-error {
		margin-left: 0;
		margin-right: 0;
		padding: 1em;
	}
}

.page-block--checkout {
	margin: 0;
	padding: 1em 0;

	& .page-block__grid {
		flex-direction: row;
	}

	& .page-block__col--sidebar {
		display: block;
		margin-top: 1em;

		@media (--sm) {
			width: 300px;
			margin-top: 0;
		}

		@media (--m) {
			width: 35%;
		}
	}

	& .page-block__col--main {
		@media (--sm) {
			width: auto;
			flex: 1 1 0;
		}
	}
}

form.woocommerce-checkout {
	position: relative;
	z-index: 2;
}

form.woocommerce-billing-fields {
	color: var(--dark);

	& h3 {
		font-weight: var(--font-normal);
	}

	& .woocommerce-billing-fields {
		& h3 {
			display: none;
		}
	}

	& .form-row {
		display: inline-block;
		margin-top: 0;
	}

	& .form-row + .form-row {
		margin-top: 1em;
	}

	& .form-row label {
		display: block;
	}

	& .form-row abbr {
		text-decoration: none;
	}

	& .required {
		color: var(--red);
	}

	& .form-row .input-text {
		@mixin input-field;

		width: 100%;

		&:focus {
			outline: none;
		}
	}

	& .form-row.notes {
		width: 100%;
	}

	& .form-row-first,
	& .form-row-last {
		width: 48%;
	}

	& .form-row-last {
		float: right;
	}

	& .form-row-wide {
		clear: both;
		width: 100%;
	}

	& button {
		background: var(--primary);
		padding: 15px 40px;
		border-radius: 99px;
		color: var(--white);
		margin-left: auto;
		display: block;
	}

	& .select2-container {
		& .select2-selection--single {
			height: 50px;
			border: 1px solid var(--gray);

			& .select2-selection__rendered {
				line-height: 50px;
			}
		}
	}
}

.woocommerce-billing-fields {
	& h3 {
		margin-bottom: 0.5em;
		font-weight: var(--font-normal);
	}

	& .form-row .input-text {
		padding-left: 0.5em;
	}

	& label {
		display: none;
	}
}

.woocommerce form .form-row.address-field .select2-container {
	height: 40px;
}

.woocommerce-shipping-fields__field-wrapper,
.woocommerce-billing-fields__field-wrapper {
	display: flex;
	flex-wrap: wrap;
	margin: 0 -10px;

	& > * {
		width: 100%;
		padding: 0 10px;

		@media (--m) {
			width: 50%;
			margin-top: 10px;
		}
	}
}

.woocommerce-additional-fields {
	margin-top: 1em;

	& h3 {
		margin-bottom: 0.5em;
	}
}

.woocommerce-shipping-destination {
	font-size: 0.85rem;
	color: var(--dark);
	opacity: 0.75;
}

.form-row#shipping_country_field,
.form-row#billing_country_field {
	display: none;
}

h3#ship-to-different-address {
	font-size: 1rem;
	font-weight: var(--font-normal);
}

.woocommerce-form__label.woocommerce-form__label-for-checkbox {
	display: flex;
	position: relative;
	margin-top: 1em;
	padding-left: 30px;
	font-weight: var(--font-normal);

	& input[type='checkbox'] {
		@mixin custom-checkbox var(--primary), var(--dark);
	}
}

.cart_totals h2,
.checkout-coupon-form__label,
.order-review__title,
#order_review_heading {
	display: block;
	margin-bottom: 0.5em;

	font-weight: var(--font-normal);
}

.woocommerce-form-coupon-toggle {
	display: none;
}

.checkout-coupon-form__sub-title {
	font-weight: var(--font-bold);
	margin-bottom: 5px;
}

ul.checkout-coupon-form__list {
	display: flex;
	flex-wrap: wrap;
}

.checkout-coupon-form__item {
	display: inline-flex;
	align-items: center;
	margin-right: 5px;
	padding: 2px 0 2px 5px;
	background-color: var(--primary);
	border: 1px dashed var(--border);
	transition: background-color 0.3s;

	&:hover {
		@media (--m) {
			background-color: var(--dark);
		}
	}

	& .woocommerce-remove-coupon {
		@mixin flex-center;

		width: 24px;
		height: 24px;
		color: var(--white);

		& svg {
			width: 20px;
			height: 20px;
		}

		&:hover {
			@media (--m) {
				color: var(--white);
			}
		}
	}

	& .coupon {
		font-size: 0.85rem;
		line-height: 1;
		color: var(--white);
		text-transform: uppercase;
	}

	& .action {
		display: flex;
		margin-left: 5px;
	}
}

#order_review_heading {
	&::after {
		content: ':';
	}
}

.checkout-coupon-form__wrapper,
.woocommerce-checkout-payment,
.checkout-total {
	padding: 1em;
	background: var(--white);
	border: 1px solid var(--border);
	border-radius: var(--border-radius);
	box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1);
}

.woocommerce-checkout-payment {
	& .button {
		width: 100%;
	}

	& .validate-required {
		& .woocommerce-form__label-for-checkbox {
			& .woocommerce-terms-and-conditions-checkbox-text {
				line-height: 1.5;
			}
		}
	}
}

.checkout-total {
	margin-top: 1em;
	margin-bottom: 1em;

	@media (--s) {
		margin-top: 0;
	}
}

.checkout-coupon-form {
	margin-bottom: 1em;
}

.checkout-coupon-form__description {
	font-size: 0.95rem;
}

.checkout-coupon-form__form-wrapper {
	margin-top: 10px;
	border: 1px solid var(--border);
	border-radius: var(--border-radius);
}

.checkout-coupon-form__input {
	width: auto;
	flex: 1 1 0;
	padding-left: 1em;
	background: transparent;
	border: 0;

	@media (--sm) {
		font-size: 0.85rem;
	}
}

.button.checkout-coupon-form__button {
	min-width: 85px;
	padding: 10px 15px;
	border-radius: 0 var(--border-radius) var(--border-radius) 0;
	cursor: pointer;

	& * {
		pointer-events: none;
	}

	@media (--sm) {
		font-size: 0.85rem;
	}
}

.wc_payment_method {
	margin-top: 1em;

	&:first-child {
		margin-top: 0;
	}

	&.payment_method_thueapi {
		& label {
			width: auto;
		}

		& img {
			display: none;
		}
	}
}

.woocommerce-remove-coupon {
	&:hover {
		@media (--m) {
			color: var(--primary);
		}
	}
}

.wc_payment_method label {
	font-weight: var(--font-bold);
}

.wc_payment_method .payment_box {
	padding-left: 16px;
}

.wc_payment_method .payment_box,
.wc_payment_method.payment_method_bacs {
	& p {
		font-size: 0.85rem;
	}
}

.woocommerce-terms-and-conditions-wrapper {
	margin-top: 1em;
	margin-bottom: 1em;
}

.woocommerce-shipping-fields {
	margin-top: 1em;

	& .form-row label {
		display: none;
	}

	& .shipping_address {
		margin-top: 20px;
	}
}
